Bug 599786

Summary: FTBFS oflb-goudy-bookletter-1911-fonts-20080206-3.fc12
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: oflb-goudy-bookletter-1911-fontsAssignee: Tom "spot" Callaway <tcallawa>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 14CC: fonts-bugs, nicolas.mailhot, tcallawa
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: x86_64   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: oflb-goudy-bookletter-1911-fonts-20080206-3.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-08-18 21:14:16 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 596849    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log none

Description FTBFS 2010-06-03 16:28:35 EDT
oflb-goudy-bookletter-1911-fonts-20080206-3.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-06-03 16:28:38 EDT
Created attachment 419708 [details]
root.log

root.log for x86_64
Comment 2 FTBFS 2010-06-03 16:28:40 EDT
Created attachment 419709 [details]
build.log

build.log for x86_64
Comment 3 FTBFS 2010-06-03 16:28:41 EDT
Created attachment 419710 [details]
mock.log

mock.log for x86_64
Comment 4 Parag Nemade 2010-07-13 01:23:51 EDT
I see oflb fonts in fedora are now getting problem of its download url/source disappearing from oflb site. I am not aware of any guidelines about this that when any font switches its publisher(say from oflb to cf or oflb to ctan) how to deal with this change for already packaged font with oflb foundry.

Spot,
    I have tried to modify it for rawhide. Here is new package scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=2315704

Thanks.
Comment 5 Nicolas Mailhot 2010-07-13 08:17:39 EDT
Generally speaking, oflb is a technical mess (has always been, sadly they put more efforts in previews than in a stable storage backend), so any time you find a better upstream (closer to the font author), use it

The same applies to the google font directory
Comment 6 Parag Nemade 2010-07-20 00:30:14 EDT
ping spot

looks you just need to rebuild this package by incrementing release and no issues in using oflb as foundry.
Comment 7 Parag Nemade 2010-07-26 12:18:40 EDT
ping spot
Comment 8 Tom "spot" Callaway 2010-07-26 12:24:51 EDT
This is super low-priority for me at the moment, but I'm aware of it.
Comment 9 Bug Zapper 2010-07-30 07:50:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Fedora Update System 2010-08-05 15:34:54 EDT
oflb-goudy-bookletter-1911-fonts-20080206-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/oflb-goudy-bookletter-1911-fonts-20080206-3.fc14
Comment 11 Fedora Update System 2010-08-18 21:14:12 EDT
oflb-goudy-bookletter-1911-fonts-20080206-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.